<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;

class OrdenTrabajoMaquetacionMovimientosTable extends Migration
{
    protected array $COLUMNS = [
        "id" => [
            "type" => "INT",
            "unsigned" => true,
            "auto_increment" => true
        ],
        "orden_trabajo_maquetacion_id" => [
            "type" => "INT",
            "unsigned" => true,
            "null" => true,

        ],
        "orden_trabajo_maquetacion_id" => [
            "type" => "INT",
            "unsigned" => true,
            "null" => true,

        ],
        "file_id" => [
            "type" => "INT",
            "unsigned" => true,
            "null" => true,
        ],
    ];
    public function up()
    {
        $this->forge->addField($this->COLUMNS);
        $currenttime = new RawSql("CURRENT_TIMESTAMP");
        $this->forge->addField([
            "created_at" => [
                "type" => "TIMESTAMP",
                "default" => $currenttime,

            ],
            "updated_at" => [
                "type" => "TIMESTAMP",
                "null" => true,

            ],
            "deleted_at" => [
                "type" => "TIMESTAMP",
                "null" => true,

            ],
        ]);
        $this->forge->addPrimaryKey("id");
        $this->forge->createTable("orden_trabajo_maquetacion_movimientos", true);
    }

    public function down()
    {
        $this->forge->dropTable("orden_trabajo_maquetacion_movimientos");
    }
}
